The current version of the Customer Engagement API has been upgraded to 3 to introduce new functionality, to make it easier to expand the API in the future, and to improve consistency.Here is a summary of the changes going from v2 to v3:
Consolidated and renamed endpoints for a better experience and consistency
Moved some endpoints to the part of the API where they make more sense
Added the use of PATCH (update resource) and PUT (replace resource) methods
Corrected some field names that reflected legacy usage
Shifted more from header parameters to query parameters
New version of /orders endpoint with expanded functionality for storing, updating and segmenting on order data
Existing usage of API v2 and v1 is not affected by these changes, as those versions now enter Active LTS (Long-Term Support). The v2 and v1 endpoints continue to be supported and may be used as before until further notice. Any errors found in these versions will be corrected as needed.Client developers are encouraged to use the current version of the API, version 3, for all new development and to upgrade existing functions, when possible, to make better use of all new functionality when it is released.New endpoints and breaking changes are only added in new API versions. Non-breaking changes to existing endpoints may still be released within an existing version.See the API versioning model for details on how new API versions are released, how older versions are deprecated, and exactly how breaking and non-breaking changes are defined.
The API versioning model
Below are the detailed changes moving from v2 to v3.
Orders
The new orders endpoints /api/v3/orders offer functionality to trigger an automation to send order communication (email or SMS) and also expanded functionality to store and update the order data which makes it possible to segment on order data.The v2 endpoint /api/v2/orders only supports triggering an automation and will therefore be deprecated. However it may still be used as long as the v2 status is Active LTS.The integration pattern for orders has also changed to asynchronous in v3 meaning that the data to be acted on when an order’s state changes can be stored independently from the order data.New endpoint /api/v3/orders
GET fetches stored orders for a contact
POST registers a new order.
New endpoint /api/v3/orders/{orderId}
GET retrieves a single order
PUT updates existing order
DELETE deletes an order permanently
New endpoint /api/v3/orders/{orderId}/action
POST is used to trigger an automation and send order email or SMS
New endpoint /api/v3/orders/jobs/{jobId}
GET is used to check the status of an order registration or update
Using the new /orders endpoint
How to trigger order communication
Contacts
Changes to the contacts endpoints were made for a better experience and consistency. Some endpoints moved to other groups, and some terms changed for clarity.The four endpoints /api/v2/contacts/{contactId}/bonuschecks have changed to /api/v3/reward-vouchers.Some parameters and payload values have also changed, see “Reward vouchers (bonus checks)” below.The following endpoints are removed in v3:
/api/v2/contacts/{contactType}/bykey/{keyValue}: Use /api/v3/contacts/{contactType}/bykey
/api/v2/contacts/count: (can still be used in v2)
/api/v2/contacts/{contactType}/count: (can still be used in v2)
/api/v2/contacts/{contactId}/bonuspointtransactions: replaced by a two-step process. Get the point account ID from /api/v3/point-accounts, then use it in /api/v3/point-transactions to fetch the point transactions.
Header parameters when creating a contact with /api/v3/contacts are now query parameters. The same applies when deleting a contact.Method for updating contact at /api/v3/contacts/{contactId} changed from POST to PATCH./api/v2/contacts/{contactId}/transactions is now /api/v3/transactionsand:
The contact ID is now sent in the query string
More data is returned in the response in the v3 version.
Contact overview
Changes were made to the payload for /api/v3/contactoverview:
The property bonusPoints is renamed points
checkNumber is renamed to voucherNumber
In v3, a contact’s total points (bonus points) are no longer returned from /api/v3/contactoverview. Instead use a separate GET request to the existing (but slightly changed) endpoint /api/v3/point-accounts
Promote to member
The v2 endpoint /api/v2/contacts/{contactId}/promoteToMember is removed in v3.In v2 this was used to:
Update contact type to “member”
Set isApproved to true (triggering the “New Member” automation trigger)
Updating contact type is now handled by /api/v3/contacts/{contactId}/updateContactType.And setting isApproved to “true” must be done manually in v3 using:
PATCH /api/v3/contacts/{contactId}
Preferences
The individual endpoints used to update preferences were consolidated into the contact update endpoint. This means that the following endpoints are removed in v3:
Their logic is now handled instead by /api/v3/contacts/{contactId}.
Posoffers
The /api/v2/posoffers endpoints are obsolete and will be deprecated.Promotions should now be handled by /api/v3/promotions.The following “posoffers” endpoints are removed in v3:
Changes were made to the promotions endpoints. The following endpoints are removed in v3:
/api/v2/contacts/{contactId}/promotions: use /api/v3/promotion-assignments to fetch a contact’s promotions
/api/v2/contacts/{contactId}/promotions/{promotionId}/redeem: replaced by /api/v3/promotion-assignments/{assignmentId}/redeem
/api/v2/contacts/{contactId}/promotions/{promotionId}/assign: replaced by /api/v3/promotion-assignments
Points
Changes were made to the /api/v3/point-accounts section to clarify usage and consolidate endpoints.Parameters sent to /api/v3/point-accounts to get a contact’s points have changed. Because of the changes to /api/v3/contactoverview, /api/v3/point-accounts is now the only way to fetch a contact’s points.
The Points API
The following endpoints are deprecated and should no longer be used:
/api/v2/point-accounts/definitions
/api/v2/point-accounts/definitions/{id}
The following v2 endpoints are no longer used or not to be used, and are replaced as shown:
/api/v2/contacts/rewardpointtransaction: replaced by /api/v3/point-accounts/transactions
/api/v2/point-accounts/transactions: replaced by /api/v3/point-transactions
/api/v2/point-accounts/transactions/{id}: replaced by /api/v3/point-transactions/{id}
Reward vouchers (bonus checks)
The following endpoints are replaced in v3:
/api/v2/promotions/reward-vouchers/{id}/reactivate is replaced by /api/v3/reward-vouchers/{rewardVoucherId}/reactivate
/api/v2/contacts/{contactId}/bonuschecks/{bonusCheckId}/redeem is replaced by /api/v3/reward-vouchers/{rewardVoucherId}/redeem
/api/v2/contacts/{contactId}/bonuschecks is replaced by /api/v3/reward-vouchers
/api/v2/contacts/{contactId}/bonuschecks/available is replaced by /api/v3/reward-vouchers/available
/api/v2/contacts/{contactId}/bonuschecks/redeemed is replaced by /api/v3/reward-vouchers/redeemed
The attribute usedBonusChecks is replaced by usedRewardVouchers. The attribute checkNumber is replaced by voucherNumber.
Tracking and inventory
Changes were made to the tracking and inventory sections to support multiple items in a single request.
/api/v2/tracking/carts/batch: removed
/api/v2/tracking/carts is replaced by /api/v3/tracking/carts, which can accept multiple items
/api/v2/tracking/productviews: removed
/api/v2/tracking/productview is replaced by /api/v3/tracking/productview, which can accept multiple items
/api/v2/inventory/stock-levels/batch: removed. Batch functionality is now handled by the enhanced /api/v3/inventory/stock-levels
Transactions / Receipts
/api/v2/transactions, used to import receipts, is deprecated. In v3, use /api/v3/receipts instead.The attribute usedBonusChecks is replaced by usedRewardVouchers. The attribute awardsBonus is replaced by awardsPoints. The attribute checkNumber is replaced by voucherNumber.
Messages
Changes were made to how historical email, SMS and postal messages are fetched for a contact. The single endpoint /api/v2/contacts/{contactId}/messages/latest is replaced by three endpoints:
/api/v3/contacts/{contactId}/emailmessages
/api/v3/contacts/{contactId}/smsmessages
/api/v3/contacts/{contactId}/postalmessages
Other changes
The following endpoint is removed in v3:
/api/v2/memberstatus
Last modified on November 18, 2026
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Voyado Docs","colors":{"primary":"#fe4a49","light":"#ffffff","dark":"#fe4a49"},"logo":{"light":"https://mintcdn.com/voyado/fiZZVymeDExCOKTK/logo/light.svg?fit=max\u0026auto=format\u0026n=fiZZVymeDExCOKTK\u0026q=85\u0026s=114e763881bcc646add31724b257f726","dark":"https://mintcdn.com/voyado/fiZZVymeDExCOKTK/logo/dark.svg?fit=max\u0026auto=format\u0026n=fiZZVymeDExCOKTK\u0026q=85\u0026s=68eaa3b1f64893ebcee4c7d65f20ecbc","href":"/docs"},"favicon":"https://mintcdn.com/voyado/_EinvHkwtU2pq43w/favicon.png?fit=max\u0026auto=format\u0026n=_EinvHkwtU2pq43w\u0026q=85\u0026s=4109ede7a6d04311c67ffa2f695ce527","appearance":{"default":"light"},"background":{"decoration":"grid"},"navbar":{"links":[{"icon":"/icons/help-center-link.png","href":"https://help.engage.voyado.com/hc/en-gb","label":"Help Center"}],"primary":{"type":"button","label":"Contact us","href":"https://voyado.com/about-voyado/contact-us/"}},"footer":{"socials":{"facebook":"https://www.facebook.com/voyado","linkedin":"https://www.linkedin.com/company/voyadoab"}},"fonts":{"heading":{"family":"Voyado Text","source":"https://mintlify-assets.b-cdn.net/VoyadoText-Medium.woff2","format":"woff2"},"body":{"family":"Voyado Regular","source":"https://mintlify-assets.b-cdn.net/VoyadoText-Regular.woff2","format":"woff2"}},"integrations":{"cookies":{"key":"mintlify_telemetry","value":"granted"}},"errors":{"404":{"redirect":false,"title":"The page you are looking for can't be found. Search for it in the box above.","description":"Or press [here](https://developer.voyado.com/) to come to the start page and the menu."}},"contextual":{"options":["claude","chatgpt","assistant","copy","view","mcp"],"display":"header"},"metadata":{"timestamp":true},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"voyado","hasAudioNarration":false,"actualSubdomain":"voyado","customDomains":["developer.voyado.com"],"gitSource":{"type":"github","owner":"voyado","repo":"developer-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":false,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"DISABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6afead52de236bae61680e11","clientVersion":"0.0.4271","searchFilterCounts":[{"language":"default","tag":"Integration","count":51},{"language":"default","tag":"Data access","count":26},{"language":"default","tag":"E-com and communication","count":19},{"language":"default","tag":"File based transfer","count":18},{"language":"default","tag":"Contacts","count":15},{"language":"default","tag":"BI export","count":14},{"language":"default","tag":"BI Exports available","count":13},{"language":"default","tag":"E-com and tracking","count":11},{"language":"default","tag":"Delta share","count":9},{"language":"default","tag":"Home","count":8}]},"assistantConfig":{"enableStarterQuestions":false},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"privacy":{"consentBanner":{"enabled":false}},"googleFontsInlined":false},"customCss":[{"filePath":"styles/style.css","content":".border-b{border-bottom-width:2px;border-color:rgb(var(--gray-200))}.prose-sm{font-size:0.9rem;line-height:1.7}.prose :where(code):not(:where([class~=not-prose],[class~=not-prose] *)){color:var(--tw-prose-code);font-weight:500;background-color:#f8f8f7;border:1px solid #c7dbe8;border-radius:4px}.py-1\\.5{padding-top:1px;padding-bottom:1px}@media (min-width: 1024px){.lg\\:mt-8{margin-top:1rem}}.sidebar-title{margin-bottom:-0.3rem;font-size:15px}#pagination{display:none!important}.prose table{border-collapse:collapse;width:100%}.prose table th,.prose table td{border:1px solid rgba(0, 0, 0, 0.15);padding:0.6rem 0.75rem}html.dark .prose table th,html.dark .prose table td{border:1px solid rgba(255, 255, 255, 0.15)}.prose table thead tr{background-color:rgba(59, 130, 246, 0.12)}html.dark .prose table thead tr{background-color:rgba(59, 130, 246, 0.25)}.prose table thead th{font-weight:600}.prose table tbody tr:nth-child(odd) td{background-color:rgba(0, 0, 0, 0.03)}html.dark .prose table tbody tr:nth-child(odd) td{background-color:rgba(255, 255, 255, 0.05)}.prose :where(h2):not(:where([class~=not-prose],[class~=not-prose] *)){margin-top:1.6em;margin-bottom:0.7em}.prose :where(h3):not(:where([class~=not-prose],[class~=not-prose] *)){margin-top:1.5em;margin-bottom:0.6em}.prose :where(h4):not(:where([class~=not-prose],[class~=not-prose] *)){margin-top:1.5em;margin-bottom:0.6em}.bg-background-light\\/90{}@media (min-width: 1024px){.update h2{margin-top:-2px!important}}.update-container{padding-top:15px!important;padding-bottom:25px!important}.update-container{gap:5px!important}.pb-16{padding-bottom:calc(var(--spacing) * 6)}.mb-14{margin-bottom:calc(var(--spacing) * 4)}.pb-28{padding-bottom:calc(var(--spacing) * 4)}"}]}
{"page":{"pagePath":"docs/api/api-changes-v3","slug":"/docs/api/api-changes-v3","pageMetadata":{"title":"Changes API v2 to v3","timestamp":true,"description":null,"href":"/docs/api/api-changes-v3"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,em:`em`,li:`li`,p:`p`,pre:`pre`,span:`span`,ul:`ul`,..._provideComponents(),...props.components},{Card,CodeBlock,Heading}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`The current version of the Customer Engagement API has been upgraded to 3 to introduce new functionality, to make it easier to expand the API in the future, and to improve consistency.`}),`\n`,_jsx(_components.p,{children:`Here is a summary of the changes going from v2 to v3:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Consolidated and renamed endpoints for a better experience and consistency`}),`\n`,_jsx(_components.li,{children:`Moved some endpoints to the part of the API where they make more sense`}),`\n`,_jsx(_components.li,{children:`Added the use of PATCH (update resource) and PUT (replace resource) methods`}),`\n`,_jsx(_components.li,{children:`Corrected some field names that reflected legacy usage`}),`\n`,_jsx(_components.li,{children:`Shifted more from header parameters to query parameters`}),`\n`,_jsxs(_components.li,{children:[`New version of `,_jsx(_components.code,{children:`/orders`}),` endpoint with expanded functionality for storing, updating and segmenting on order data`]}),`\n`]}),`\n`,_jsx(_components.p,{children:`Existing usage of API v2 and v1 is not affected by these changes, as those versions now enter Active LTS (Long-Term Support). The v2 and v1 endpoints continue to be supported and may be used as before until further notice. Any errors found in these versions will be corrected as needed.`}),`\n`,_jsx(_components.p,{children:`Client developers are encouraged to use the current version of the API, version 3, for all new development and to upgrade existing functions, when possible, to make better use of all new functionality when it is released.`}),`\n`,_jsx(_components.p,{children:`New endpoints and breaking changes are only added in new API versions. Non-breaking changes to existing endpoints may still be released within an existing version.`}),`\n`,_jsx(_components.p,{children:`See the API versioning model for details on how new API versions are released, how older versions are deprecated, and exactly how breaking and non-breaking changes are defined.`}),`\n`,_jsx(Card,{title:`The API versioning model`,href:`/docs/api/the-api#versioning-strategy`,icon:`https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=fbd08f956358ab12f664a7158e1a1399`,horizontal:true,\"data-og-width\":`128`,width:`128`,\"data-og-height\":`128`,height:`128`,\"data-path\":`icons/developer-link.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=280\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=578148bc52109a62b81752b2bdcca681 280w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=560\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=f2db9fd1adc7070915fd141f27bbb394 560w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=840\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=90bd01623e630bdd7d6a9e4be36e588b 840w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=1100\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=bf680b4f85d26b755a76865c2cf85c63 1100w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=1650\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=f2fd6e9882691d17cd6e0f9f1fb164dd 1650w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=2500\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=0dce3c83fcfa177e7bd88d61bb4df03a 2500w`}),`\n`,_jsx(_components.p,{children:`Below are the detailed changes moving from v2 to v3.`}),`\n`,_jsx(Heading,{level:`2`,id:`orders`,children:`Orders`}),`\n`,_jsxs(_components.p,{children:[`The new orders endpoints `,_jsx(_components.code,{children:`/api/v3/orders`}),` offer functionality to trigger an automation to send order communication (email or SMS) and also expanded functionality to store and update the order data which makes it possible to segment on order data.`]}),`\n`,_jsxs(_components.p,{children:[`The v2 endpoint `,_jsx(_components.code,{children:`/api/v2/orders`}),` only supports triggering an automation and will therefore be deprecated. However it may still be used as long as the v2 status is Active LTS.`]}),`\n`,_jsxs(_components.p,{children:[`The integration pattern for orders has also changed to `,_jsx(_components.em,{children:`asynchronous`}),` in v3 meaning that the data to be acted on when an order’s state changes can be stored independently from the order data.`]}),`\n`,_jsxs(_components.p,{children:[`New endpoint `,_jsx(_components.code,{children:`/api/v3/orders`})]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`GET fetches stored orders for a contact`}),`\n`,_jsx(_components.li,{children:`POST registers a new order.`}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`New endpoint `,_jsx(_components.code,{children:`/api/v3/orders/{orderId}`})]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`GET retrieves a single order`}),`\n`,_jsx(_components.li,{children:`PUT updates existing order`}),`\n`,_jsx(_components.li,{children:`DELETE deletes an order permanently`}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`New endpoint `,_jsx(_components.code,{children:`/api/v3/orders/{orderId}/action`})]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`POST is used to trigger an automation and send order email or SMS`}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`New endpoint `,_jsx(_components.code,{children:`/api/v3/orders/jobs/{jobId}`})]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`GET is used to check the status of an order registration or update`}),`\n`]}),`\n`,_jsx(Card,{title:`Using the new /orders endpoint`,href:`/docs/orders/orders-api-endpoints`,icon:`https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=fbd08f956358ab12f664a7158e1a1399`,horizontal:true,\"data-og-width\":`128`,width:`128`,\"data-og-height\":`128`,height:`128`,\"data-path\":`icons/developer-link.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=280\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=578148bc52109a62b81752b2bdcca681 280w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=560\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=f2db9fd1adc7070915fd141f27bbb394 560w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=840\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=90bd01623e630bdd7d6a9e4be36e588b 840w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=1100\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=bf680b4f85d26b755a76865c2cf85c63 1100w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=1650\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=f2fd6e9882691d17cd6e0f9f1fb164dd 1650w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=2500\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=0dce3c83fcfa177e7bd88d61bb4df03a 2500w`}),`\n`,_jsx(Card,{title:`How to trigger order communication`,href:`/docs/orders/orders-and-actions`,icon:`https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=fbd08f956358ab12f664a7158e1a1399`,horizontal:true,\"data-og-width\":`128`,width:`128`,\"data-og-height\":`128`,height:`128`,\"data-path\":`icons/developer-link.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=280\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=578148bc52109a62b81752b2bdcca681 280w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=560\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=f2db9fd1adc7070915fd141f27bbb394 560w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=840\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=90bd01623e630bdd7d6a9e4be36e588b 840w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=1100\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=bf680b4f85d26b755a76865c2cf85c63 1100w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=1650\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=f2fd6e9882691d17cd6e0f9f1fb164dd 1650w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=2500\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=0dce3c83fcfa177e7bd88d61bb4df03a 2500w`}),`\n`,_jsx(Heading,{level:`2`,id:`contacts`,children:`Contacts`}),`\n`,_jsx(_components.p,{children:`Changes to the contacts endpoints were made for a better experience and consistency. Some endpoints moved to other groups, and some terms changed for clarity.`}),`\n`,_jsxs(_components.p,{children:[`The four endpoints `,_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/bonuschecks`}),` have changed to `,_jsx(_components.code,{children:`/api/v3/reward-vouchers`}),`.`]}),`\n`,_jsx(_components.p,{children:`Some parameters and payload values have also changed, see “Reward vouchers (bonus checks)” below.`}),`\n`,_jsx(_components.p,{children:`The following endpoints are removed in v3:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/contacts/{contactType}/bykey/{keyValue}`}),`: Use `,_jsx(_components.code,{children:`/api/v3/contacts/{contactType}/bykey`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/contacts/count`}),`: (can still be used in v2)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/contacts/{contactType}/count`}),`: (can still be used in v2)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/bonuspointtransactions`}),`: replaced by a two-step process. Get the point account ID from `,_jsx(_components.code,{children:`/api/v3/point-accounts`}),`, then use it in `,_jsx(_components.code,{children:`/api/v3/point-transactions`}),` to fetch the point transactions.`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`Header parameters when creating a contact with `,_jsx(_components.code,{children:`/api/v3/contacts`}),` are now query parameters. The same applies when deleting a contact.`]}),`\n`,_jsxs(_components.p,{children:[`Method for updating contact at `,_jsx(_components.code,{children:`/api/v3/contacts/{contactId}`}),` changed from POST to PATCH.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/transactions`}),` is now `,_jsx(_components.code,{children:`/api/v3/transactions`}),`and:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`The contact ID is now sent in the query string`}),`\n`,_jsx(_components.li,{children:`More data is returned in the response in the v3 version.`}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`contact-overview`,children:`Contact overview`}),`\n`,_jsxs(_components.p,{children:[`Changes were made to the payload for `,_jsx(_components.code,{children:`/api/v3/contactoverview`}),`:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`The property `,_jsx(_components.code,{children:`bonusPoints`}),` is renamed `,_jsx(_components.code,{children:`points`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`checkNumber`}),` is renamed to `,_jsx(_components.code,{children:`voucherNumber`})]}),`\n`,_jsxs(_components.li,{children:[`In v3, a contact’s total points (bonus points) are no longer returned from `,_jsx(_components.code,{children:`/api/v3/contactoverview`}),`. Instead use a separate GET request to the existing (but slightly changed) endpoint `,_jsx(_components.code,{children:`/api/v3/point-accounts`})]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`promote-to-member`,children:`Promote to member`}),`\n`,_jsxs(_components.p,{children:[`The v2 endpoint `,_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/promoteToMember`}),` is removed in v3.`]}),`\n`,_jsx(_components.p,{children:`In v2 this was used to:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Update contact type to “member”`}),`\n`,_jsxs(_components.li,{children:[`Set `,_jsx(_components.code,{children:`isApproved`}),` to true (triggering the “New Member” automation trigger)`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`Updating contact type is now handled by `,_jsx(_components.code,{children:`/api/v3/contacts/{contactId}/updateContactType`}),`.`]}),`\n`,_jsxs(_components.p,{children:[`And setting `,_jsx(_components.code,{children:`isApproved`}),` to “true” must be done manually in v3 using:`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`http`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`http`,children:_jsxs(_components.code,{language:`http`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`PATCH`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` /api/v3/contacts/{contactId}`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`preferences`,children:`Preferences`}),`\n`,_jsx(_components.p,{children:`The individual endpoints used to update preferences were consolidated into the contact update endpoint. This means that the following endpoints are removed in v3:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/preferences/acceptsEmail`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/preferences/acceptsPostal`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/preferences/acceptsSms`})}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`Their logic is now handled instead by `,_jsx(_components.code,{children:`/api/v3/contacts/{contactId}`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`posoffers`,children:`Posoffers`}),`\n`,_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`/api/v2/posoffers`}),` endpoints are obsolete and will be deprecated.`]}),`\n`,_jsxs(_components.p,{children:[`Promotions should now be handled by `,_jsx(_components.code,{children:`/api/v3/promotions`}),`.`]}),`\n`,_jsx(_components.p,{children:`The following “posoffers” endpoints are removed in v3:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/posoffers/all`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/posoffers/{id}/redeem`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/posoffers/available`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/contacts/{contactType}/bykey/{keyValue}/posoffers/{id}/redeem`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/contacts/{contactType}/bykey/{keyValue}/posoffers/all`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/contacts/{contactType}/bykey/{keyValue}/posoffers/available`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/contacts/bykey/{keyValue}/posoffers/{id}/redeem`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/contacts/bykey/{keyValue}/posoffers/all`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/contacts/bykey/{keyValue}/posoffers/available`})}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`promotions`,children:`Promotions`}),`\n`,_jsx(_components.p,{children:`Changes were made to the promotions endpoints. The following endpoints are removed in v3:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/promotions`}),`: use `,_jsx(_components.code,{children:`/api/v3/promotion-assignments`}),` to fetch a contact’s promotions`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/promotions/{promotionId}/redeem`}),`: replaced by `,_jsx(_components.code,{children:`/api/v3/promotion-assignments/{assignmentId}/redeem`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/promotions/{promotionId}/assign`}),`: replaced by `,_jsx(_components.code,{children:`/api/v3/promotion-assignments`})]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`points`,children:`Points`}),`\n`,_jsxs(_components.p,{children:[`Changes were made to the `,_jsx(_components.code,{children:`/api/v3/point-accounts`}),` section to clarify usage and consolidate endpoints.`]}),`\n`,_jsxs(_components.p,{children:[`Parameters sent to `,_jsx(_components.code,{children:`/api/v3/point-accounts`}),` to get a contact’s points have changed. Because of the changes to `,_jsx(_components.code,{children:`/api/v3/contactoverview`}),`, `,_jsx(_components.code,{children:`/api/v3/point-accounts`}),` is now the only way to fetch a contact’s points.`]}),`\n`,_jsx(Card,{title:`The Points API`,href:`/docs/loyalty/points`,icon:`https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=fbd08f956358ab12f664a7158e1a1399`,horizontal:true,\"data-og-width\":`128`,width:`128`,\"data-og-height\":`128`,height:`128`,\"data-path\":`icons/developer-link.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=280\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=578148bc52109a62b81752b2bdcca681 280w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=560\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=f2db9fd1adc7070915fd141f27bbb394 560w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=840\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=90bd01623e630bdd7d6a9e4be36e588b 840w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=1100\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=bf680b4f85d26b755a76865c2cf85c63 1100w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=1650\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=f2fd6e9882691d17cd6e0f9f1fb164dd 1650w, https://mintcdn.com/voyado/Ns4bBcK3LNctK_Un/icons/developer-link.png?w=2500\u0026fit=max\u0026auto=format\u0026n=Ns4bBcK3LNctK_Un\u0026q=85\u0026s=0dce3c83fcfa177e7bd88d61bb4df03a 2500w`}),`\n`,_jsx(_components.p,{children:`The following endpoints are deprecated and should no longer be used:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/point-accounts/definitions`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/point-accounts/definitions/{id}`})}),`\n`]}),`\n`,_jsx(_components.p,{children:`The following v2 endpoints are no longer used or not to be used, and are replaced as shown:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/contacts/rewardpointtransaction`}),`: replaced by `,_jsx(_components.code,{children:`/api/v3/point-accounts/transactions`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/point-accounts/transactions`}),`: replaced by `,_jsx(_components.code,{children:`/api/v3/point-transactions`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/point-accounts/transactions/{id}`}),`: replaced by `,_jsx(_components.code,{children:`/api/v3/point-transactions/{id}`})]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`reward-vouchers-bonus-checks`,children:`Reward vouchers (bonus checks)`}),`\n`,_jsx(_components.p,{children:`The following endpoints are replaced in v3:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/promotions/reward-vouchers/{id}/reactivate`}),` is replaced by `,_jsx(_components.code,{children:`/api/v3/reward-vouchers/{rewardVoucherId}/reactivate`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/bonuschecks/{bonusCheckId}/redeem`}),` is replaced by `,_jsx(_components.code,{children:`/api/v3/reward-vouchers/{rewardVoucherId}/redeem`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/bonuschecks`}),` is replaced by `,_jsx(_components.code,{children:`/api/v3/reward-vouchers`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/bonuschecks/available`}),` is replaced by `,_jsx(_components.code,{children:`/api/v3/reward-vouchers/available`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/bonuschecks/redeemed`}),` is replaced by `,_jsx(_components.code,{children:`/api/v3/reward-vouchers/redeemed`})]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`The attribute `,_jsx(_components.code,{children:`usedBonusChecks`}),` is replaced by `,_jsx(_components.code,{children:`usedRewardVouchers`}),`. The attribute `,_jsx(_components.code,{children:`checkNumber`}),` is replaced by `,_jsx(_components.code,{children:`voucherNumber`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`tracking-and-inventory`,children:`Tracking and inventory`}),`\n`,_jsx(_components.p,{children:`Changes were made to the tracking and inventory sections to support multiple items in a single request.`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/tracking/carts/batch`}),`: removed`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/tracking/carts`}),` is replaced by `,_jsx(_components.code,{children:`/api/v3/tracking/carts`}),`, which can accept multiple items`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/tracking/productviews`}),`: removed`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/tracking/productview`}),` is replaced by `,_jsx(_components.code,{children:`/api/v3/tracking/productview`}),`, which can accept multiple items`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`/api/v2/inventory/stock-levels/batch`}),`: removed. Batch functionality is now handled by the enhanced `,_jsx(_components.code,{children:`/api/v3/inventory/stock-levels`})]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`transactions-/-receipts`,children:`Transactions / Receipts`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`/api/v2/transactions`}),`, used to import receipts, is deprecated. In v3, use `,_jsx(_components.code,{children:`/api/v3/receipts`}),` instead.`]}),`\n`,_jsxs(_components.p,{children:[`The attribute `,_jsx(_components.code,{children:`usedBonusChecks`}),` is replaced by `,_jsx(_components.code,{children:`usedRewardVouchers`}),`. The attribute `,_jsx(_components.code,{children:`awardsBonus`}),` is replaced by `,_jsx(_components.code,{children:`awardsPoints`}),`. The attribute `,_jsx(_components.code,{children:`checkNumber`}),` is replaced by `,_jsx(_components.code,{children:`voucherNumber`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`messages`,children:`Messages`}),`\n`,_jsxs(_components.p,{children:[`Changes were made to how historical email, SMS and postal messages are fetched for a contact. The single endpoint `,_jsx(_components.code,{children:`/api/v2/contacts/{contactId}/messages/latest`}),` is replaced by three endpoints:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v3/contacts/{contactId}/emailmessages`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v3/contacts/{contactId}/smsmessages`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v3/contacts/{contactId}/postalmessages`})}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`other-changes`,children:`Other changes`}),`\n`,_jsx(_components.p,{children:`The following endpoint is removed in v3:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`/api/v2/memberstatus`})}),`\n`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Changes API v2 to v3","timestamp":true,"description":null,"href":"/docs/api/api-changes-v3"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Orders","slug":"orders","depth":2,"children":[]},{"title":"Contacts","slug":"contacts","depth":2,"children":[]},{"title":"Contact overview","slug":"contact-overview","depth":2,"children":[]},{"title":"Promote to member","slug":"promote-to-member","depth":2,"children":[]},{"title":"Preferences","slug":"preferences","depth":2,"children":[]},{"title":"Posoffers","slug":"posoffers","depth":2,"children":[]},{"title":"Promotions","slug":"promotions","depth":2,"children":[]},{"title":"Points","slug":"points","depth":2,"children":[]},{"title":"Reward vouchers (bonus checks)","slug":"reward-vouchers-bonus-checks","depth":2,"children":[]},{"title":"Tracking and inventory","slug":"tracking-and-inventory","depth":2,"children":[]},{"title":"Transactions / Receipts","slug":"transactions-/-receipts","depth":2,"children":[]},{"title":"Messages","slug":"messages","depth":2,"children":[]},{"title":"Other changes","slug":"other-changes","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/voyado/e3b0c44298fc1c14/js/test.js","/_mintlify/custom/voyado/a093bfac3f8a0766/js/gtm.js"],"subdomain":"voyado","siteName":"Voyado Docs","title":"Changes API v2 to v3 - Voyado Docs","navMaps":{"firstHrefInVersion":{"API version 3":{"href":"/docs/api/api-changes-v3","matchLevel":0},"API version 2":{"href":"/docs-v2/api-v2","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-11-11T10:03:11.848Z","gitLastModified":"2026-11-18T13:18:33.000Z","originalFileLocation":"docs/api/api-changes-v3.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Voyado Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/voyado/9fqQ87AEVqs68vAz/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/voyado/9fqQ87AEVqs68vAz/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/voyado/9fqQ87AEVqs68vAz/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/voyado/9fqQ87AEVqs68vAz/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/voyado/9fqQ87AEVqs68vAz/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/voyado/9fqQ87AEVqs68vAz/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/voyado/9fqQ87AEVqs68vAz/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/voyado/9fqQ87AEVqs68vAz/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/voyado/9fqQ87AEVqs68vAz/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Changes API v2 to v3 - Voyado Docs\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Voyado Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.voyado.com/docs/api/api-changes-v3\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://voyado.mintlify.site/_mintlify/api/og/v2?division=The+API\u0026amp;title=Changes+API+v2+to+v3\u0026amp;theme=a91d9850064c21e06d6010a4\u0026amp;signature=5b841df62e2de28edefc6b66485683607c129060a0f0aea396e823447b270c3c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Changes API v2 to v3 - Voyado Docs\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://voyado.mintlify.site/_mintlify/api/og/v2?division=The+API\u0026amp;title=Changes+API+v2+to+v3\u0026amp;theme=a91d9850064c21e06d6010a4\u0026amp;signature=5b841df62e2de28edefc6b66485683607c129060a0f0aea396e823447b270c3c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/voyado/9fqQ87AEVqs68vAz/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Voyado Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#fe4a49\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.voyado.com/docs/api/api-changes-v3\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api/api-changes-v3.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.voyado.com/#organization\",\"name\":\"Voyado Docs\",\"url\":\"https://developer.voyado.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/voyado/fiZZVymeDExCOKTK/logo/light.svg?fit=max\u0026auto=format\u0026n=fiZZVymeDExCOKTK\u0026q=85\u0026s=114e763881bcc646add31724b257f726\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.voyado.com#website\",\"name\":\"Voyado Docs\",\"url\":\"https://developer.voyado.com\",\"publisher\":{\"@id\":\"https://developer.voyado.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.voyado.com/docs/api/api-changes-v3#webpage\",\"url\":\"https://developer.voyado.com/docs/api/api-changes-v3\",\"name\":\"Changes API v2 to v3\",\"dateModified\":\"2026-11-18T13:18:33.000Z\",\"isPartOf\":{\"@id\":\"https://developer.voyado.com#website\"},\"breadcrumb\":{\"@id\":\"https://developer.voyado.com/docs/api/api-changes-v3#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.voyado.com/docs/api/api-changes-v3#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"The API\",\"item\":\"https://developer.voyado.com/docs/api/the-api\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Changes API v2 to v3\",\"item\":\"https://developer.voyado.com/docs/api/api-changes-v3\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://developer.voyado.com/docs/api/api-changes-v3#article\",\"headline\":\"Changes API v2 to v3\",\"name\":\"Changes API v2 to v3\",\"url\":\"https://developer.voyado.com/docs/api/api-changes-v3\",\"mainEntityOfPage\":{\"@id\":\"https://developer.voyado.com/docs/api/api-changes-v3#webpage\"},\"dateModified\":\"2026-11-18T13:18:33.000Z\",\"publisher\":{\"@id\":\"https://developer.voyado.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.voyado.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Voyado Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Voyado Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/docs/api/api-changes-v3.md","siteName":"Voyado Docs","nav":{"global":null,"versions":[{"version":"API version 3","tag":"Latest","tabs":[{"tab":"Home","groups":[{"group":" ","pages":[{"title":"Customer Engagement","sidebarTitle":"Welcome","href":"/docs/introduction/about"}]},{"group":"The API","pages":[{"title":"Working with the API","description":null,"href":"/docs/api/the-api"},{"title":"Changes API v2 to v3","href":"/docs/api/api-changes-v3"},{"title":"Timeout changes API v3","sidebarTitle":"Timeout changes","description":null,"href":"/docs/api/timeout-changes"}]},{"group":"Integration best practice","pages":[{"title":"Integration best practice guide","href":"/docs/setup/best-practice-guide"}]},{"group":"Supporting information","pages":[{"title":"Staging environment","href":"/docs/introduction/staging-environment"},{"title":"Reference material","href":"/docs/introduction/reference-material"},{"title":"UICulture and localization","href":"/docs/api/uiculture-localization"}]}]},{"tab":"Integration","pages":[{"title":"Integration","href":"/docs/integration/about-integration"}]},{"tab":"File based transfer","pages":[{"title":"File based transfer","href":"/docs/file-based-transfer/about-file-based-transfer"}]},{"tab":"Data access","pages":[{"title":"Data access","href":"/docs/data-access/overview"}]},{"tab":"E-com and communication","pages":[{"title":"E-com and communication","href":"/docs/communication/communication"}]},{"tab":"Partner integrations","pages":[{"title":"Partner integrations","href":"/docs/introduction/about-partner-integrations"}]},{"tab":"What's new?","pages":[{"title":"What's new?","href":"/docs/introduction/whats-new"}]}]},{"version":"API version 2","tag":"Legacy","pages":[{"title":"API version 2","href":"/docs-v2/api-v2"}]}]},"basePath":"","title":"Changes API v2 to v3 - Voyado Docs","deploymentId":"dpl_Em2U4NQQ2N2DE3HPbPUJVZLnAtvc","buildId":"dpl_Em2U4NQQ2N2DE3HPbPUJVZLnAtvc","dynamics":[],"chunks":[]}